Replace who can use an External MCP Connection
curl --request PUT \
--url http://api.den.local/v1/mcp-connections/{connectionId}/access \
--header 'Content-Type: application/json' \
--data '
{
"access": {
"orgWide": false,
"memberIds": [],
"teamIds": []
}
}
'import requests
url = "http://api.den.local/v1/mcp-connections/{connectionId}/access"
payload = { "access": {
"orgWide": False,
"memberIds": [],
"teamIds": []
} }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({access: {orgWide: false, memberIds: [], teamIds: []}})
};
fetch('http://api.den.local/v1/mcp-connections/{connectionId}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"externalKey": "<string>",
"url": "<string>",
"authType": "oauth",
"credentialMode": "shared",
"exposeDirectly": true,
"connected": true,
"connectedAt": "<string>",
"connectedForMe": true,
"requiredBy": [
{
"pluginId": "<string>",
"name": "<string>"
}
],
"access": {
"orgWide": true,
"memberIds": [
"<string>"
],
"teamIds": [
"<string>"
]
},
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"needsReconnect": true,
"credentialHealth": "unknown",
"credentialHealthReason": "authorization_rejected",
"credentialHealthCheckedAt": "2023-11-07T05:31:56Z",
"issuerReviewRequired": true,
"reconnectActionOwner": "member",
"missingFeatures": [
"<string>"
],
"externalAccountId": "<string>",
"grantedScopes": [
"<string>"
],
"tenantId": "<string>",
"identityManagedBy": [
{
"pluginId": "<string>",
"name": "<string>"
}
],
"requiredAuthType": "oauth",
"authPolicyConfirmed": true,
"authTypeMismatch": true,
"oauthClientConfigured": true,
"oauthClientRequired": true,
"setupRequired": true,
"oauthClientId": "<string>",
"oauthCallbackUrl": "<string>",
"oauthSharedCallbackUrl": "<string>",
"oauthClientMetadataUrl": "<string>",
"oauthCallbackMode": "shared-v1",
"oauthRegistrationSource": "pre-registered",
"authorizationServerIssuer": "<string>",
"requestedScopes": [
"<string>"
]
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "connection_not_found",
"message": "<string>"
}Capability Sources
Replace who can use an External MCP Connection
Admin-only. Full-replace semantics: send the complete desired access set (orgWide, or memberIds + teamIds). Team and member ids come from GET /v1/org.
PUT
/
v1
/
mcp-connections
/
{connectionId}
/
access
Replace who can use an External MCP Connection
Path Parameters
Den TypeID with 'emc_' prefix and a 26-character base32 suffix.
Required string length:
30Body
application/json
Show child attributes
Show child attributes
Response
Access updated.
Available options:
oauth, apikey, none Available options:
shared, per_member Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
unknown, ready, reconnect_required Available options:
authorization_rejected, credential_expired, post_authorization_validation_failed Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
member, organization_admin Show child attributes
Show child attributes
Available options:
oauth, apikey, none Available options:
shared-v1, isolated-v1, legacy-v1 Available options:
pre-registered, client-metadata, dynamic Was this page helpful?